OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class OutageMgrEventProcessor

    java.lang.Object
      org.opennms.netmgt.outage.OutageMgrEventProcessor

All Implemented Interfaces:
  EventListener

final class OutageMgrEventProcessor
extends java.lang.Object
implements EventListener

OutageMgrEventProcessor is responsible for receiving events from eventd and queing them to the outage writer pool.

Author:
  Sowmya Nataraj , OpenNMS

Field Summary
`private boolean` `m_eventListenerRegistered`
`private OutageManager` `m_outageMgr` The outage manager that created this event processor
`private FifoQueue` `m_writerQ` The location where incoming events of interest are enqueued

Constructor Summary
`(package private)` `OutageMgrEventProcessor(OutageManager outageMgr, FifoQueue writerQ)` Constructor

Method Summary
`void` `close()` Unsubscribe from eventd
`private EventIpcManager` `getEventMgr()`
`java.lang.String` `getName()` Return an id for this event listener
`void` `onEvent(Event event)` This method is invoked by the EventIpcManager when a new event is available for processing.
`void` `start()` Create a list of UEIs of interest to the OutageManager and subscribe to eventd

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_writerQ

    private FifoQueue m_writerQ

  The location where incoming events of interest are enqueued

### m_outageMgr

    private OutageManager m_outageMgr

  The outage manager that created this event processor

### m_eventListenerRegistered

    private boolean m_eventListenerRegistered

Constructor Detail

### OutageMgrEventProcessor

    OutageMgrEventProcessor(OutageManager outageMgr,
                            FifoQueue writerQ)

  Constructor

Parameters:
  `writerQ` - The queue where events of interest are added.

Method Detail

### start

    public void start()

  Create a list of UEIs of interest to the OutageManager and subscribe to eventd

### getEventMgr

    private EventIpcManager getEventMgr()

  Returns:

### close

    public void close()

  Unsubscribe from eventd

### onEvent

    public void onEvent(Event event)

  This method is invoked by the EventIpcManager when a new event is available for processing. Each message is examined for its Universal Event Identifier and the appropriate action is taking based on each UEI.

  Specified by:
    `onEvent` in interface `EventListener`
  Parameters:
    `event` - The event

### getName

    public java.lang.String getName()

  Return an id for this event listener

  Specified by:
    `getName` in interface `EventListener`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.